<?php

namespace Drupal\paragraph_blocks;

use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\paragraph_blocks\ParagraphBlocksEntity;

/**
 * Handles panels IPE hooks to rename paragraph blocks.
 */
class ParagraphBlocksLayoutHelper extends ParagraphBlocksLayoutHelperBase {

  /**
   * ParagraphBlocksLayoutHelper constructor.
   *
   * @param \Drupal\paragraph_blocks\ParagraphBlocksEntityManager $paragraph_blocks_entity_manager
   *   The Paragraph blocks entity manager.
   */
  public function __construct(ParagraphBlocksEntityManager $paragraph_blocks_entity_manager) {
    parent::__construct('paragraph_field', 'Page: @label', $paragraph_blocks_entity_manager->getRefererEntity());
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('paragraph_blocks.entity_manager')
    );
  }

}
